Unable to install APS application: "Unable to change current directory"

Created:

2016-11-16 12:54:46 UTC

Modified:

2017-05-23 23:36:32 UTC

1

Was this article helpful?


Have more questions?

Submit a request

Unable to install APS application: "Unable to change current directory"

Applicable to:

  • Plesk 11.5 for Linux
  • Plesk

Symptoms

An attempt to install APS application or change application settings fails with one of the following errors:

Non-zero exit status returned by script. Output stream: 'Unable to change current directory to /opt/psa/var/apspackages/apscataloggDqOIK.zip03123588-b16c-80/cache/scripts '.

OR

Permission denied in /opt/psa/var/apspackages/apscatalogH0al3t.zipfb51bb1f-c2a0-66/cache/scripts/app-util.php on line 61

Cause

Incorrect permissions.

Resolution

Correct permissions using the following commands:

# find /usr/local/psa/var/apspackages/ -type f -a -not -perm 644 -exec chmod 644 {} \;
# find /usr/local/psa/var/apspackages/ -mindepth 1 -type d -a -not -perm 755 -exec chmod 755 {} \;
Have more questions? Submit a request

2 Comments

  • 0
    Avatar
    Walter York

    Command syntax didn't work, need to remove one of the backslashes at the end...

    find /usr/local/psa/var/apspackages/ -type f -a -not -perm 644 -exec chmod 644 {} \;
    find /usr/local/psa/var/apspackages/ -mindepth 1 -type d -a -not -perm 755 -exec chmod 755 {} \;

     

  • 0
    Avatar
    Pavel Rozental

    @Walter York, hello. Thank you for the comment. Article was fixed.

Please sign in to leave a comment.